Subject: bug#53038: 28.0.50; problem building

From: [email-masked]
Date: Fri, 07 Jan 2022 16:13:01 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Cc: [email-masked]
>> Date: Fri, 07 Jan 2022 13:39:34 +0100
>> 
>> > Yes, "make V=1".
>> 
>> I get this:
>> make[2]: Entering directory '/mnt/fast/emacs2022/emacs/admin/unidata'
>> "../../src/bootstrap-emacs" -batch --no-site-file --no-site-lisp -l emoji.el -f emoji--generate-file ../../lisp/international/emoji-labels.el
>> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "emoji.el")
>> 
>> running the command manually I get the same error.
>> 
>> Since emoji.el is not present in admin/unidata  but rather in
>> lisp/international/emoji.el, I suppose bootstrap-emacs load path is set
>> somewhere? 
>
> Yes.  So the first thing to look at where we fail to load emoji.el is
> the value of Vload_path.

Thanks for this hint.

It turns out I have been using a guix emacs build, and for some reason
guix sets
EMACSLOADPATH=/home/joakim/.guix-profile/share/emacs/site-lisp:/home/joakim/.guix-profile/share/emacs/site-lisp:/home/joakim/.guix-profile/share/emacs/site-lisp:/gnu/store/divi72vf7cw42kcr8w4h6j3pn4npicl8-emacs-native-comp-28.0.50-183.6885c62/share/emacs/28.0.50/lisp

if I unset EMACSLOADPATH, the build finishes.

Aparently the guix builds set this env for some reason, I find a mention
of it here: https://github.com/flatwhatson/guix-channel/issues/9

Anyway, thanks for your patience, and in the best of worlds this mail
transcript might help someone else. Thanks!

-- 
Joakim Verona
[email-masked]